SDXFrameWork 0.10 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | List of all members
SDX::FontOld Class Reference

旧フォントクラス. More...

`#include <Font_Old.h>`

Inherits SDX::IFont.

## Public Member Functions
| FontOld (const char *フォント名, int 大きさ, int 太さ=1, int 改行高さ=0)
bool | Load (const char *フォント名, int 大きさ, int 太さ=1, int 改行高さ=0)
| メモリ上にフォントを作成する. More...
bool | Release () const
| フォントをメモリから開放する. More...
TTF_Font * | GetHandle () const
| フォントのハンドルを取得. More...
Image | MakeImage (Color 文字色, bool 反転フラグ, VariadicStream 描画する文字列) const
| フォントから画像を生成
int | GetSize () const
| 大きさを取得. More...
int | Getthick () const
| 太さを取得. More...
int | GetDrawStringWidth (VariadicStream 幅を計算する文字列) const
| 描画時の幅を取得[DXLIB]. More...
bool | Draw (const Point &座標, const Color &描画色, const VariadicStream &描画する文字列, bool 反転フラグ=false) const override
| 文字を描画. More...
bool | DrawRotate (const Point &座標, double 拡大率, double 角度, const Color &描画色, const VariadicStream &描画する文字列, bool 反転フラグ=false) const override
| 文字を回転して描画. More...
bool | DrawExtend (const Point &座標, double X軸拡大率, double Y軸拡大率, const Color &描画色, const VariadicStream &描画する文字列, bool 反転フラグ=false) const override
| 拡大率を指定して文字を描画. More...

## Detailed Description

旧フォントクラス.

毎回レンダリングするので遅い

## Member Function Documentation

bool SDX::FontOld::Load | ( | const char * | フォント名,
|  | int | 大きさ,
|  | int | 太さ = `1`,
|  | int | 改行高さ = `0`
| ) |  |

メモリ上にフォントを作成する.

太さは0～9で指定、大きさと太さは-1にするとデフォルトになる
改行高さは0の場合、改行後の文字が上下くっつく。 SDLとDXLIBではフォント名の指定方法が違うので注意。 SDLでは太さとフォントタイプが無効

bool SDX::FontOld::Release | ( |  | ) | const

フォントをメモリから開放する.

TTF_Font* SDX::FontOld::GetHandle | ( |  | ) | const

フォントのハンドルを取得.

int SDX::FontOld::GetSize | ( |  | ) | const

大きさを取得.

int SDX::FontOld::Getthick | ( |  | ) | const

太さを取得.

int SDX::FontOld::GetDrawStringWidth | ( | VariadicStream | 幅を計算する文字列 | ) | const

描画時の幅を取得[DXLIB].

bool SDX::FontOld::Draw | ( | const Point & | 座標,
|  | const Color & | 描画色,
|  | const VariadicStream & | 描画する文字列,
|  | bool | 反転フラグ = `false`
| ) |  | const
| override virtual

文字を描画.

Implements SDX::IFont.

bool SDX::FontOld::DrawRotate | ( | const Point & | 座標,
|  | double | 拡大率,
|  | double | 角度,
|  | const Color & | 描画色,
|  | const VariadicStream & | 描画する文字列,
|  | bool | 反転フラグ = `false`
| ) |  | const
| override virtual

文字を回転して描画.

呼び出す度に画像イメージを作成するので処理は重い

Implements SDX::IFont.

bool SDX::FontOld::DrawExtend | ( | const Point & | 座標,
|  | double | X軸拡大率,
|  | double | Y軸拡大率,
|  | const Color & | 描画色,
|  | const VariadicStream & | 描画する文字列,
|  | bool | 反転フラグ = `false`
| ) |  | const
| override virtual

拡大率を指定して文字を描画.

Implements SDX::IFont.